net.minecraft.command.server

## Class CommandSummon

- java.lang.Object
- - net.minecraft.command.CommandBase
  - - net.minecraft.command.server.CommandSummon

- All Implemented Interfaces:
    java.lang.Comparable, ICommand

      public class CommandSummon
      extends CommandBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandSummon()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `addTabCompletionOptions(ICommandSender par1ICommandSender, java.lang.String[] par2ArrayOfStr)`
    `protected java.lang.String[]` | `func_147182_d()`
    `java.lang.String` | `getCommandName()`
    `java.lang.String` | `getCommandUsage(ICommandSender par1ICommandSender)`
    `int` | `getRequiredPermissionLevel()`
    `void` | `processCommand(ICommandSender par1ICommandSender, java.lang.String[] par2ArrayOfStr)`

    - ### Methods inherited from class net.minecraft.command.CommandBase

      `canCommandSenderUseCommand, compareTo, compareTo, doesStringStartWith, func_110665_a, func_110666_a, func_147176_a, func_147178_a, func_82360_a, func_96332_d, getBlockByText, getCommandAliases, getCommandSenderAsPlayer, getItemByText, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, getPlayer, isUsernameIndex, joinNiceString, joinNiceString, joinNiceStringFromCollection, notifyAdmins, notifyAdmins, parseBoolean, parseDouble, parseDoubleBounded, parseDoubleWithMin, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandSummon

          public CommandSummon()

  - ### Method Detail

    - #### getCommandName

          public java.lang.String getCommandName()

    - #### getRequiredPermissionLevel

          public int getRequiredPermissionLevel()

      Overrides:
        `getRequiredPermissionLevel` in class `CommandBase`

    - #### getCommandUsage

          public java.lang.String getCommandUsage(ICommandSender par1ICommandSender)

    - #### processCommand

          public void processCommand(ICommandSender par1ICommandSender,
                            java.lang.String[] par2ArrayOfStr)

    - #### addTabCompletionOptions

          public java.util.List addTabCompletionOptions(ICommandSender par1ICommandSender,
                                               java.lang.String[] par2ArrayOfStr)

      Specified by:
        `addTabCompletionOptions` in interface `ICommand`
      Overrides:
        `addTabCompletionOptions` in class `CommandBase`

    - #### func_147182_d

          protected java.lang.String[] func_147182_d()